Retrieve a list
Returns a filtered list of contracts.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/contracts
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-contracts.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Unique identifier for the contract record. |
contractPercentage |
number | — | Read-only | Percentage of full-time contract. |
person.id |
integer | Yes | Yes | Internal ID of the person. |
code |
string | No | Yes | The contract code. |
from |
string | Yes | Yes | Start date of the contract for when it’s active. |
until |
string | No | Yes | End date of the contract. |
contractHoursInMinutes |
integer | Yes | Yes | Contracted hours in minutes. |
fullTimeEquivalentInMinutes |
integer | Yes | Yes | The equivalent in minutes for a full-time contract. |
numberOfWorkingDaysPerWeek |
integer | Yes | Yes | The number of working days per week. |
numberOfDaysInContractPeriod |
integer | Yes | Yes | The number of days in the contract period. |
kind |
string | Yes | Yes | The kind of contract (Unknown, Contract, Addendum). |
parentContract.id |
integer | No | Yes | Identifier of the parent contract. |
Filters
This list of filters can be used for this endpoint.
| Filter | Type | Description |
|---|---|---|
person |
Optional | Internal person IDs (person in (1, 2, 3)), or the current members of circles (person in circle(2, 8)) or org-groups (person in org-group(121, 122)). When omitted, all people are returned. |
Note
- The
personfilter cannot be combined withdelta. A request with both returns400 Bad Request. - With a
personfilter, results are paged per 100 people. If the people matched by the filter change between pages (for example, a circle or org-group membership change), the next page returns409 Conflict; restart from the first request.
Check the Fetching Resources page on how to use the filter.
External references
The endpoint supports predefined and custom external references. See the external references page for details and the predefined options list.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
contracts |
Not available | Supported |
people |
@badge-number, @employee-number |
Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid filter value, invalid external reference, or a person filter combined with delta |
401 |
Missing or invalid access token, or insufficient scope |
409 |
The people matched by the person filter changed between pages |
Examples
Retrieving all contracts
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/contracts
Retrieving contracts for specific people
Example with person IDs 7478:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/contracts?filter=person eq 7478